package com.ffii.lioner.modules.user.req;

public class SearchUserReq {
  private Integer id;
  private Integer groupId;
  private String username;
  private String name;
  private Boolean locked;

  private Integer start;
  private Integer limit;

  private String fullname;
  private String post;
  private Integer subDivisionId;
  private String email;
  private String phone;
  private Boolean isLotusNotesUser;

  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public Integer getGroupId() {
    return groupId;
  }

  public void setGroupId(Integer groupId) {
    this.groupId = groupId;
  }

  public String getUsername() {
    return username;
  }

  public void setUsername(String username) {
    this.username = username;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Integer getStart() {
    return start;
  }

  public void setStart(Integer start) {
    this.start = start;
  }

  public Integer getLimit() {
    return limit;
  }

  public void setLimit(Integer limit) {
    this.limit = limit;
  }

  public Boolean getLocked() {
    return locked;
  }

  public void setLocked(Boolean locked) {
    this.locked = locked;
  }

  public Boolean isLocked() {
    return this.locked;
  }

  public String getFullname() {
    return this.fullname;
  }

  public void setFullname(String fullname) {
    this.fullname = fullname;
  }

  public String getPost() {
    return this.post;
  }

  public void setPost(String post) {
    this.post = post;
  }

  public Integer getSubDivisionId() {
    return this.subDivisionId;
  }

  public void setSubDivisionId(Integer subDivisionId) {
    this.subDivisionId = subDivisionId;
  }

  public String getEmail() {
    return this.email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public String getPhone() {
    return this.phone;
  }

  public void setPhone(String phone) {
    this.phone = phone;
  }

  public Boolean isIsLotusNotesUser() {
    return this.isLotusNotesUser;
  }

  public Boolean getIsLotusNotesUser() {
    return this.isLotusNotesUser;
  }

  public void setIsLotusNotesUser(Boolean isLotusNotesUser) {
    this.isLotusNotesUser = isLotusNotesUser;
  }

}
